Subject: Re: Is Tcl broken in B20.1 ?
From: Alex Rezinsky <[email-masked]>
To: Christopher Faylor <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Feb 1999 09:25:36 -0600

Sorry I didn't understand you.
Where I mixed B19 and B20?
How can I avoid such mixing?

Christopher Faylor wrote:

> You're mixing B19 and B20.1 executables.  You can't do that.
>
> -chris
>
> On Tue, Feb 16, 1999 at 11:56:24AM -0600, Alex Rezinsky wrote:
> >I try to run very small thing under the CYGWIN B20.1
> >
> >source file:
> >--------------------------------------------
> >#include <tcl.h>
> >
> >main()
> >{
> >    Tcl_Interp *t = Tcl_CreateInterp();
> >}
> >--------------------------------------------
> >
> >compilation:
> >    gcc -g -o t t.c -ltcl80
> >
> >--------------------------------------------
> >run:
> > <47> ./t
> >[main] C:\alexr\G++\t.exe 1120 (0) handle_exceptions: Exception:
> >STATUS_ACCESS_VIOLATION
> >[main] t 1120 (0) handle_exceptions: Dumping stack trace to t.exe.core
> >
> >--------------------------------------------
> >Stack info:
> >
> > <48> gdb t
> >GNU gdb 4.17
> >Copyright 1998 Free Software Foundation, Inc.
> >GDB is free software, covered by the GNU General Public License, and you
> >are
> >welcome to change it and/or distribute copies of it under certain
> >conditions.
> >Type "show copying" to see the conditions.
> >There is absolutely no warranty for GDB.  Type "show warranty" for
> >details.
> >This GDB was configured as "i686-pc-cygwin32"...
> >(gdb) run
> >Starting program: /alexr/G++/t.exe
> >66000000:/WINNT/System32/cygtcl80.dll
> >
> >[failed reading symbols from DLL]
> >"/WINNT/system32/advapi32.dll": error reading line numbers
> >
> >
> >[failed reading symbols from DLL]
> >"/WINNT/system32/KERNEL32.dll": error reading line numbers
> >
> >77e70000:/WINNT/system32/USER32.dll
> >77ed0000:/WINNT/system32/GDI32.dll
> >77e10000:/WINNT/system32/RPCRT4.dll
> >10000000:/WINNT/System32/cygwinb19.dll
> >61000000:/bin/cygwin1.dll
> >5f810000:/WINNT/System32/rpcltc1.dll
> >
> >Program received signal SIGSEGV, Segmentation fault.
> >0x77f6cc66 in ?? ()
> >(gdb) info stack
> >#0  0x77f6cc66 in ?? ()
> >#1  0x77f67456 in ?? ()
> >#2  0x1004be69 in _size_of_stack_reserve__ ()
> >#3  0x10012aed in _size_of_stack_reserve__ ()
> >#4  0x660071be in Tcl_Alloc (size=24) at ./../generic/tclCkalloc.c:683
> >#5  0x6602745d in StringCreate (tablePtr=0x660504ac, key=0x660371b8
> >"boolean",
> >    newPtr=0x244fdb8) at ./../generic/tclHash.c:507
> >#6  0x660372d4 in Tcl_RegisterObjType (typePtr=0x6604f26c)
> >    at ./../generic/tclObj.c:265
> >#7  0x660371ef in InitTypeTable () at ./../generic/tclObj.c:131
> >#8  0x660372a4 in Tcl_RegisterObjType (typePtr=0x6604f208)
> >    at ./../generic/tclObj.c:249
> >#9  0x660342d6 in TclInitNamespaces () at ./../generic/tclNamesp.c:189
> >#10 0x66002f76 in Tcl_CreateInterp () at ./../generic/tclBasic.c:283
> >#11 0x401050 in main () at t.c:5
> >#12 0x61004402 in _size_of_stack_reserve__ ()
> >#13 0x61004420 in _size_of_stack_reserve__ ()
> >#14 0x401182 in cygwin_crt0 (f=0x401040 <main>)
> >    at /home/noer/src/b20/comp-tools/devo/winsup/libccrt0.cc:81
> >(gdb) The program is running.  Exit anyway? (y or n) y
> >
> >
> >--------------------------------------------
> >
> >This worked very well in B19. Am I wrong in something?
> >
> >
> >
> >
> >Thanks,
> >--
> >Alex Rezinsky
> >[email-masked]
> >Motorola Semiconductor Israel
> >
>
> --
> [email-masked]
> http://www.cygnus.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]